using System;

class MainClass {
  struct Frilenser
  {
    public int zarada;
    public double procenat;
  }
  static double DrzavnaZarada (Frilenser[] a, Frilenser b)
  {
    int suma = 0;
    for(int i = 0; i < a.Length; i++)
    {
      if(a[i].procenat>=b.procenat)
      {
        suma+=a[i].zarada;
      }
    }
    return suma*b.procenat/100;
  }
  public static void Main (string[] args) {
    int n = Convert.ToInt32(Console.ReadLine());
    string[] s;
    double Drzavnazarada = 0;
    Frilenser[] a = new Frilenser[n];
    for(int i = 0; i < n; i++)
    {
      s = Console.ReadLine().Split(" ");
      a[i].zarada = Convert.ToInt32(s[0]);
      a[i].procenat = Convert.ToDouble(s[1]);
    }
    for(int i = 0; i < n; i++)
    {
      if(DrzavnaZarada(a,a[i]) > Drzavnazarada)
      {
        Drzavnazarada = DrzavnaZarada(a,a[i]);
      }
    }
    Console.WriteLine(Drzavnazarada);
  }
}